shapelist3d {rgl} | R Documentation

## Create and plot a list of shapes

### Description

These functions create and plot a list of shapes.

### Usage

    shapelist3d(shapes, x = 0, y = NULL, z = NULL, size = 1, matrix = NULL, override = TRUE,
                ..., plot = TRUE)

### Arguments

`shapes` | A single `shape3d` object, or a list of them.
`x, y, z` | Translation(s) to apply
`size` | Scaling(s) to apply
`matrix` | A single matrix transformation, or a list of them.
`override` | Whether the material properties should override the ones in the shapes.
`...` | Material properties to apply.
`plot` | Whether to plot the result.

### Details

`shapelist3d` is a quick way to create a complex object made up of simpler ones. Each of the arguments `shapes` through `override` may be a vector of values (a list in the case of `shapes` or `matrix`). All values will be recycled to produce a list of shapes as long as the longest of them.

The `xyz.coords` function will be used to process the `x`, `y` and `z` arguments, so a matrix may be used as `x` to specify all three. If a vector is used for `x` but `y` or `z` is missing, default values of `0` will be used.

The `"shapelist3d"` class is simply a list of `"shape3d"` objects.

Methods for `dot3d`, `wire3d`, `shade3d`, `translate3d`, `scale3d`, and `rotate3d` are defined for these objects.

### Value

An object of class `c("shapelist3d", "shape3d")`.

### Author(s)

Duncan Murdoch

### See Also

`mesh3d`

### Examples

    shapelist3d(icosahedron3d(), x = rnorm(10), y = rnorm(10), z = rnorm(10), col = 1:5, size = 0.3)

[Package rgl version 0.99.16 Index]